# Запрос на пополнение баланса пользователям

## Запрос на пополнение баланса пользователям

<mark style="color:green;">`POST`</mark> `http://lk.mysmpp.ru/xml/add_balance.php`

#### Headers

| Name                                           | Type   | Description                    |
| ---------------------------------------------- | ------ | ------------------------------ |
| Content-type<mark style="color:red;">\*</mark> | String | **`text/xml; charset=utf-8;`** |

#### Request Body

| Name                                                       | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                |
| ---------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| login.value<mark style="color:red;">\*</mark>              | String | Ваш логин в системе                                                                                                                                                                                                                                                                                                                                                                                        |
| client.type\_transaction<mark style="color:red;">\*</mark> | String | <p>Тип транзакции:</p><p>- webmoney - WebMoney </p><p>- manager - Менеджер</p><p>- roboxchange – ROBOXchange</p><p>- cashless – Безналичный</p><p>- cashless\_no\_score – Безналичный без счета</p><p>- Qiwi – Qiwi</p><p>- yandexmoney - Яндекс.Деньги</p><p>- BITCOIN - Bitcoin</p><p>- trust\_payment - Доверительный платеж</p><p>- write\_off - Списание</p><p>- subscription - Абонентская плата</p> |
| client.balance<mark style="color:red;">\*</mark>           | Int    | Сумма зачисления                                                                                                                                                                                                                                                                                                                                                                                           |
| client.login\_client<mark style="color:red;">\*</mark>     | String | Логин клиента                                                                                                                                                                                                                                                                                                                                                                                              |
| token.value<mark style="color:red;">\*</mark>              | String | Вместо логина и пароля можно использовать секретный ключ. Для его получения обратитесь к менеджеру                                                                                                                                                                                                                                                                                                         |
| password.value<mark style="color:red;">\*</mark>           | String | Ваш пароль в системе                                                                                                                                                                                                                                                                                                                                                                                       |

{% tabs %}
{% tab title="200: OK В случае получения правильного XML-документа" %}

```xml
<?xml version="1.0" encoding="utf-8" ?>
<response>
    <transaction login="test_6_1" id_transaction="366"/>
    <transaction login="test_smpp_3" id_transaction="NO_USER"/>
    ...
    <transaction login="test_smpp_8" id_transaction="401"/>
</response>
```

{% endtab %}

{% tab title="400: Bad Request В случае возникновения ошибки в отправленном XML-документе" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
     <error>текст ошибки</error>
</response>
```

{% endtab %}
{% endtabs %}

### Расшифровка параметров в ответах на запрос

<table><thead><tr><th width="178.33333333333331">Параметр</th><th width="175">Тип данных</th><th>Описание</th></tr></thead><tbody><tr><td>transaction.login</td><td>String</td><td>Логин клиента</td></tr><tr><td>ransaction.Id_transaction</td><td>Mixed</td><td>Id транзакции при зачисление средств <mark style="color:orange;"><strong><code>NO_USER</code></strong> – означает, что данный пользователь не найден</mark></td></tr><tr><td>error</td><td>String</td><td><p>Текст ошибки может принимать следующие значения:</p><ul><li>Неправильный формат XML документа</li><li>Неправильный логин или пароль</li><li>POST данные отсутствуют</li></ul></td></tr></tbody></table>

### Пример XML запроса

```xml
<?xml  version="1.0" encoding="utf-8" ?>
<request>
     <security>
          <login value="логин" />
          <password value="пароль" />
     </security>
     <client login_client="test_6_1" balance="100" type_transaction="webmoney">
     <client login_client="test_smpp_3" balance="150" type_transaction="manager">
     ...
     <client login_client="test_smpp_8" balance="200" type_transaction="BITCOIN">
</request>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.webcom.mobi/ru2/type/specifikaciya-xml/zapros-na-popolnenie-balansa-polzovatelyam.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
